## aoetools 4

=== Makefile ===
# Makefile

# You can edit this file or override these variables on
# the commandline.  For example, "make install MANDIR=/tmp/man"
# would use defaults for all variables except ${MANDIR}.


# You can set this to something like /opt/aoetools-x
# if you want to install everything in one place.
#
# Note that even with ${PREFIX} set, the devices in
# /dev/etherd will be used unless you override ${DEVDIR}.
PREFIX = 

# Your aoe-driver device files should be in ${DEVDIR}.
DEVDIR = /dev/etherd

# The programs will be installed in ${SBINDIR}.
SBINDIR = ${PREFIX}/usr/sbin
MANDIR = ${PREFIX}/usr/share/man

# end of user-configurable variables


# these scripts are created from the *.in files
CONF_SCRIPTS = aoe-discover aoe-interfaces
PROGS = aoeping
COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-mkshelf aoe-stat ${PROGS}
CFLAGS = -Wall -O -g

AOE_PING_OBJ = aoeping.o linux.o

all : configure ${PROGS}
	@true

configure :
	@for f in ${CONF_SCRIPTS}; do \
	  sh -xc "sed 's!@devdir@!${DEVDIR}!g' $$f.in > $$f" || break; \
	done

install : configure
	mkdir -p ${SBINDIR}
	mkdir -p ${MANDIR}/man8
	@for f in ${COMMANDS}; do \
	  sh -xc "install -m 700 $$f ${SBINDIR}/$$f" || break; \
	  sh -xc "install -m 664 $$f.8 ${MANDIR}/man8/$$f.8" || break; \
	done

clean :
	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${PROGS}

aoeping : ${AOE_PING_OBJ}
	${CC} ${CFLAGS} -o $@ ${AOE_PING_OBJ}
aoeping.o : aoeping.c dat.h fns.h
	${CC} ${CFLAGS} -o $@ -c $<
linux.o : linux.c config.h
	${CC} ${CFLAGS} -o $@ -c $<

## aoetools 10

=== Makefile ===
--- 
+++ 
@@ -19,13 +19,27 @@
 SBINDIR = ${PREFIX}/usr/sbin
 MANDIR = ${PREFIX}/usr/share/man
 
+# NPERSHELF is the number of slot addresses per shelf address.
+# This number must match the same setting in the aoe driver.
+#
+# Older aoe drivers have NPERSHELF set to 10, and newer ones 
+# use 16.
+#
+# You can see the setting in your driver like this in the driver
+# source directory.  (Change into the "linux" directory if you're
+# using the standalone driver from the Coraid.)
+#
+#   grep 'NPERSHELF.*=' drivers/block/aoe/aoe.h
+#
+NPERSHELF=16
+
 # end of user-configurable variables
 
 
 # these scripts are created from the *.in files
-CONF_SCRIPTS = aoe-discover aoe-interfaces
+CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate
 PROGS = aoeping
-COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-mkshelf aoe-stat ${PROGS}
+COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-stat ${PROGS}
 CFLAGS = -Wall -O -g
 
 AOE_PING_OBJ = aoeping.o linux.o
@@ -35,15 +49,15 @@
 
 configure :
 	@for f in ${CONF_SCRIPTS}; do \
-	  sh -xc "sed 's!@devdir@!${DEVDIR}!g' $$f.in > $$f" || break; \
+	  sh -xc "sed -e 's!@devdir@!${DEVDIR}!g' -e 's!@npershelf@!${NPERSHELF}!g' $$f.in > $$f" || break; \
 	done
 
-install : configure
+install : all
 	mkdir -p ${SBINDIR}
 	mkdir -p ${MANDIR}/man8
 	@for f in ${COMMANDS}; do \
-	  sh -xc "install -m 700 $$f ${SBINDIR}/$$f" || break; \
-	  sh -xc "install -m 664 $$f.8 ${MANDIR}/man8/$$f.8" || break; \
+	  sh -xc "install -m 700 $$f ${DESTDIR}${SBINDIR}/$$f" || break; \
+	  sh -xc "install -m 664 $$f.8 ${DESTDIR}${MANDIR}/man8/$$f.8" || break; \
 	done
 
 clean :

## aoetools 11

=== Makefile ===
--- 
+++ 
@@ -52,6 +52,7 @@
 	  sh -xc "sed -e 's!@devdir@!${DEVDIR}!g' -e 's!@npershelf@!${NPERSHELF}!g' $$f.in > $$f" || break; \
 	done
 
+# DESTDIR was put in for Rob Holland to make gentoo packaging easier
 install : all
 	mkdir -p ${SBINDIR}
 	mkdir -p ${MANDIR}/man8

## aoetools 23

=== Makefile ===
--- 
+++ 
@@ -37,12 +37,13 @@
 
 
 # these scripts are created from the *.in files
-CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate
-PROGS = aoeping
-COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-stat ${PROGS}
+CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate aoe-flush aoe-stat
+PROGS = aoeping aoecfg
+COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-version ${PROGS}
 CFLAGS = -Wall -O -g
 
 AOE_PING_OBJ = aoeping.o linux.o
+AOE_CFG_OBJ = aoecfg.o linux.o
 
 all : configure ${PROGS}
 	@true
@@ -54,8 +55,8 @@
 
 # DESTDIR was put in for Rob Holland to make gentoo packaging easier
 install : all
-	mkdir -p ${SBINDIR}
-	mkdir -p ${MANDIR}/man8
+	mkdir -p ${DESTDIR}${SBINDIR}
+	mkdir -p ${DESTDIR}${MANDIR}/man8
 	@for f in ${COMMANDS}; do \
 	  sh -xc "install -m 700 $$f ${DESTDIR}${SBINDIR}/$$f" || break; \
 	  sh -xc "install -m 664 $$f.8 ${DESTDIR}${MANDIR}/man8/$$f.8" || break; \
@@ -70,3 +71,7 @@
 	${CC} ${CFLAGS} -o $@ -c $<
 linux.o : linux.c config.h
 	${CC} ${CFLAGS} -o $@ -c $<
+aoecfg: ${AOE_CFG_OBJ}
+	${CC} ${CFLAGS} -o $@ ${AOE_CFG_OBJ}
+aoecfg.o : aoecfg.c dat.h fns.h
+	${CC} ${CFLAGS} -o $@ -c $<

## aoetools 26

=== Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 # these scripts are created from the *.in files
 CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate aoe-flush aoe-stat
 PROGS = aoeping aoecfg
-COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-version ${PROGS}
+COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-version coraid-update ${PROGS}
 CFLAGS = -Wall -O -g
 
 AOE_PING_OBJ = aoeping.o linux.o
@@ -63,7 +63,7 @@
 	done
 
 clean :
-	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${PROGS}
+	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${AOE_CFG_OBJ} ${PROGS}
 
 aoeping : ${AOE_PING_OBJ}
 	${CC} ${CFLAGS} -o $@ ${AOE_PING_OBJ}

## aoetools 30

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 #
 # You can see the setting in your driver like this in the driver
 # source directory.  (Change into the "linux" directory if you're
-# using the standalone driver from the Coraid.)
+# using the standalone driver from CORAID.)
 #
 #   grep 'NPERSHELF.*=' drivers/block/aoe/aoe.h
 #

## aoetools 36

=== Makefile ===
--- 
+++ 
@@ -38,12 +38,14 @@
 
 # these scripts are created from the *.in files
 CONF_SCRIPTS = aoe-discover aoe-interfaces aoe-mkshelf aoe-revalidate aoe-flush aoe-stat
-PROGS = aoeping aoecfg
+PROGS = aoeping aoecfg aoe-sancheck
 COMMANDS := ${CONF_SCRIPTS} aoe-mkdevs aoe-version coraid-update ${PROGS}
 CFLAGS = -Wall -O -g
+SANCHECKLIBS = -lpthread
 
 AOE_PING_OBJ = aoeping.o linux.o
 AOE_CFG_OBJ = aoecfg.o linux.o
+SANCHECK_OBJ = aoe-sancheck.o
 
 all : configure ${PROGS}
 	@true
@@ -63,7 +65,7 @@
 	done
 
 clean :
-	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${AOE_CFG_OBJ} ${PROGS}
+	rm -f ${CONF_SCRIPTS} ${AOE_PING_OBJ} ${AOE_CFG_OBJ} ${SANCHECK_OBJ} ${PROGS}
 
 aoeping : ${AOE_PING_OBJ}
 	${CC} ${CFLAGS} -o $@ ${AOE_PING_OBJ}
@@ -75,3 +77,8 @@
 	${CC} ${CFLAGS} -o $@ ${AOE_CFG_OBJ}
 aoecfg.o : aoecfg.c dat.h fns.h
 	${CC} ${CFLAGS} -o $@ -c $<
+aoe-sancheck : ${SANCHECK_OBJ}
+	-$(CC) $(CFLAGS) -o $@ ${SANCHECK_OBJ} $(SANCHECKLIBS)
+aoe-sancheck.o : aoe-sancheck.c
+	-$(CC) $(CFLAGS) -o $@ -c $<
+

=== debian/changelog ===
aoetools (36-6) unstable; urgency=medium

  * Cherry-pick minor fixes from upstream
  * Rework init script
  * For usrmerge transition, move everything out of the legacy
    directories. Closes: #1056960
  * Provide a dispatcher script for NetworkManager. Closes: #1054047
  * Make rootfs on LVM over AoE work
  * Lots of cleanup

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 27 Nov 2023 21:59:43 +0100

aoetools (36-5) unstable; urgency=medium

  * postinst: Don't abort from failing module load

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Mon, 24 May 2021 12:40:31 +0200

aoetools (36-4) unstable; urgency=medium

  * Cherry-pick (aoeping:) "Check amount of data read from network
    before using it"
  * aoe-sancheck: Probe interfaces not named eth*. Closes: #986671

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 22 May 2021 21:50:11 +0200

aoetools (36-3) unstable; urgency=medium

  * Update package description. Closes: #862843

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 26 Feb 2019 07:53:18 +0100

aoetools (36-2) unstable; urgency=medium

  * Adopt package. Closes: #843435
  * Acknowledge NMU
  * Packaging cleanup
    - Re-write debian/copyright in format 1.0
    - Declare compliance with policy 3.9.8
    - Refresh patch queue, add missing DEP-3 headers
    - Bump debhelper compat level to 10
    - Enable full hardening build
    - Update VCS-* header
    - Fix typos
  * Fix aoe-discover symlink in /etc/network/if-up.d/
    Closes: #834225, LP: 1650682
  * Use LSB logging functions in init script. Closes: #830914

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 27 Dec 2016 07:38:30 +0100

aoetools (36-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install native systemd units, udev rules, and if-up.d hook to trigger
    discovery. This also installs a modules-load.d configuration and
    deprecates /etc/defaults/aoetools. (Closes: #796585)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 04 Jul 2016 19:29:07 +0200

aoetools (36-1) unstable; urgency=low

  * New upstream release, released on 2013-08-07.  Changes since the last one:
    - Support debugfs-exported debug info in sos-linux.
    - Add pkg subdirectory for distro-specific packaging files.
    - Only use one of the sysfs version files in aoe-version.
    - Restore payload field in aoe-stat output.
    - Handle missing sysfs files in aoe-stat.
    - Update docs for 3.x kernels.
  * Moved this package to 3.0 (quilt) format.
  * Bumped DH compat to 9.
  * debian/control:
    - Depend on debhelper (>> 9), removed quilt.
    - Bump Standards-Version to 3.9.5.
    - Added mention in the Description that this can run on 3.x kernels.
    - Added Vcs-* fields.
    - Added ${misc:Depends} to Depends.
  * debian/rules:
    - Actually migrate it to the compact version, overriding dh_installinit.
    - Added an override to install the upstream changelog.
    - Added override to dh_auto_install, because we need everything in /sbin.
    - Stop restarting aoetools on upgrades.  This is the wrong thing, as we
      don't have a daemon or anything like that, because everything happends
      inside the kernel once the devices are mounted.  We caused unnecessary
      grief with it (closes: #568554).  I'm very sorry.
  * debian/watch: Added.
  * debian/patches:
    - 02_no_hyphen_in_manpages: Refreshed, and fixed a typo in aoeping.8.
    - 03_enable_hardened_build: New, to enable CFLAGS/CPPFLAGS/LDFLAGS from
      the environment in order to have hardened builds.
    - 04_support_slash_run_slash_udev: New, adding /run/udev to the udev
      checks.  Thanks, Roger Leigh (closes: #644308).
  * debian/aoetools.init:
    - Unified the style for loops and whitespace.
    - Removed PATH with /usr elements to avoid lintian tripping on the wrong
      check.
    - Added aoetools to Provides.
    - Added 'status' action, fixed a bug with LVMGROUPS and clarified the case
      when we don't mount anything because of /etc/default/aoetools.
    - Added support for assembling RAID devices during start-up.  Based on a
      patch by Gabor Kiss (closes: #606307).  Thanks, Gabor!
  * debian/aoetools.default: Added support for RAID_ARRAYS and switched to
    single quotes.
  * Added hooks for initramfs-tools in order to be able to support booting
    from an AoE root device.  Thanks, wolfle (closes: #591026).

 -- David Martínez Moreno <ender@debian.org>  Fri, 17 Jan 2014 14:13:58 -0800

aoetools (32-1) unstable; urgency=low

  * New upstream release:
    - New tool: aoe-sancheck - diagnoses MTU and other network issues.
  * Fixed part of #559335.  I'm not convinced that we should alter the
    syntax of /etc/default/aoetools, though.  Now the init script does not
    try to unmount filesystems already unmounted.

 -- David Martínez Moreno <ender@debian.org>  Mon, 18 Oct 2010 11:35:37 +0200

aoetools (30-3) unstable; urgency=low

  * debian/rules:
    - Added NEWS to dh_installchangelog.
  * debian/control: Removed Section and Priority from the binary section.
  * debian/patches:
    - Removed old patches.
    - Added 02_no_hyphen_in_manpages.patch to fix all lintian warnings.
    - Added descriptions to patches.

 -- David Martínez Moreno <ender@debian.org>  Sun, 06 Sep 2009 00:17:09 +0200

aoetools (30-2) unstable; urgency=low

  * When loading the kernel module, marshal into the module the list of
    interfaces that we want to run AoE over.  This fixes an obscure security
    problem where AoE traffic could go over a different interface than the
    one specified by the administrator (closes: #408042).  Thanks, Jacques
    Normand for the explanation and Juan Céspedes for the patch.
  * debian/rules: Rewrote some part in order to be more verbose and solve
    the case when no volume is mounted.  Thanks, Ferenc Wagner (closes:
    #492905).

 -- David Martínez Moreno <ender@debian.org>  Sat, 05 Sep 2009 18:12:34 +0200

aoetools (30-1) unstable; urgency=low

  * New upstream release:


=== debian/control ===
Source: aoetools
Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: http://aoetools.sf.net
Standards-Version: 4.6.2
Vcs-Browser: https://git.in-ulm.de/cbiedl/aoetools
Vcs-Git: https://git.in-ulm.de/cbiedl/aoetools.git
Build-Depends: debhelper-compat (= 13),
Priority: optional
Rules-Requires-Root: no
Section: admin

Package: aoetools
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: tools to assist in using ATA over Ethernet
 The aoetools are the client-side programs of the ATA over Ethernet
 (AoE) network storage protocol, a simple protocol for using storage
 over an ethernet LAN.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_installinit:
	dh_installinit --no-stop-on-upgrade -u"start 41 S . start 34 0 6 ."
	dh_installsystemd --name=aoe-discover

=== debian/watch ===

version=4
http://sf.net/@PACKAGE@/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
